KBuildServiceGroupFactory Class Reference

`#include <kbuildservicegroupfactory.h>`

Inherits KServiceGroupFactory.

## Public Member Functions

| KBuildServiceGroupFactory ()
virtual KServiceGroup * | createEntry (const QString &, const char *)
virtual KServiceGroup * | createEntry (int)
void | addNewEntryTo (const QString &menuName, KService *newEntry)
KServiceGroup * | addNewChild (const QString &parent, const char *resource, KSycocaEntry *newEntry)
KServiceGroup * | addNew (const QString &menuName, const QString &file, KServiceGroup *entry, bool isDeleted)
virtual void | addEntry (KSycocaEntry *newEntry, const char *resource)
virtual void | save (QDataStream &str)
virtual void | saveHeader (QDataStream &str)

## Static Public Member Functions

static QStringList | resourceTypes ()

## Detailed Description

Service group factory for building ksycoca.

Definition at line 30 of file kbuildservicegroupfactory.h.

## Constructor & Destructor Documentation

KBuildServiceGroupFactory::KBuildServiceGroupFactory | ( |  | ) |

Create factory.

Definition at line 31 of file kbuildservicegroupfactory.cpp.

## Member Function Documentation

void KBuildServiceGroupFactory::addEntry | ( | KSycocaEntry * | newEntry,
|  | const char * | resource
| ) |  |

virtual

Add a new menu entry.

Definition at line 143 of file kbuildservicegroupfactory.cpp.

KServiceGroup * KBuildServiceGroupFactory::addNew | ( | const QString & | menuName,
|  | const QString & | file,
|  | KServiceGroup * | entry,
|  | bool | isDeleted
| ) |  |

Add new menu `menuName` defined by `file` When `entry` is non-null it is re-used, otherwise a new group is created.

A pointer to the group is returned.

Definition at line 75 of file kbuildservicegroupfactory.cpp.

KServiceGroup * KBuildServiceGroupFactory::addNewChild | ( | const QString & | parent,
|  | const char * | resource,
|  | KSycocaEntry * | newEntry
| ) |  |

Adds the entry `newEntry` to the "parent group" `parent`, creating the group if necassery.

A "parent group" is a group of services that all have the same "X-KDE-ParentApp".

Definition at line 121 of file kbuildservicegroupfactory.cpp.

void KBuildServiceGroupFactory::addNewEntryTo | ( | const QString & | menuName,
|  | KService * | newEntry
| ) |  |

Adds the entry `newEntry` to the menu `menuName`.

Definition at line 59 of file kbuildservicegroupfactory.cpp.

KServiceGroup * KBuildServiceGroupFactory::createEntry | ( | const QString & | ,
|  | const char * |
| ) |  |

virtual

Create new entry.

Definition at line 51 of file kbuildservicegroupfactory.cpp.

QStringList KBuildServiceGroupFactory::resourceTypes | ( |  | ) |

static

Returns all resource types for this service factory.

Definition at line 40 of file kbuildservicegroupfactory.cpp.

void KBuildServiceGroupFactory::save | ( | QDataStream & | str | ) |

virtual

Write out servicegroup specific index files.

Definition at line 164 of file kbuildservicegroupfactory.cpp.

void KBuildServiceGroupFactory::saveHeader | ( | QDataStream & | str | ) |

virtual

Write out header information.

Definition at line 156 of file kbuildservicegroupfactory.cpp.

The documentation for this class was generated from the following files:

- kbuildservicegroupfactory.h
- kbuildservicegroupfactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys